#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <stdlib.h>
// Создание элемета
struct elem{
    int num;
    elem *next;
    };
    elem *first, *cur, *tmp, *last;
    char snum[10];
 int main()
 {	 int n,k;
     puts("Input integer value or ENTER");
     gets(snum);
     // Формирование первого элемента
       first=new elem;
       first->num=atoi(snum);
       first->next=NULL;
        last=first;
     // Формирование списка очереди
        while(gets(snum),strlen(snum)!=0)
        {cur=new elem;
         cur->num=atoi(snum);
         cur->next=NULL;
         last->next=cur;
         last=cur;
        }
        puts("inputed spisok first -> last");
          cur=first;
          while(cur!=NULL)
          {printf("%5d",cur->num);
          cur=cur->next;
          }
          printf("\n");


        return 0;
 }
